summaryrefslogtreecommitdiffstats
path: root/framework/src/onos/tools/test/bin/onos-archetypes-test
diff options
context:
space:
mode:
authorAshlee Young <ashlee@onosfw.com>2015-09-09 22:15:21 -0700
committerAshlee Young <ashlee@onosfw.com>2015-09-09 22:15:21 -0700
commit13d05bc8458758ee39cb829098241e89616717ee (patch)
tree22a4d1ce65f15952f07a3df5af4b462b4697cb3a /framework/src/onos/tools/test/bin/onos-archetypes-test
parent6139282e1e93c2322076de4b91b1c85d0bc4a8b3 (diff)
ONOS checkin based on commit tag e796610b1f721d02f9b0e213cf6f7790c10ecd60
Change-Id: Ife8810491034fe7becdba75dda20de4267bd15cd
Diffstat (limited to 'framework/src/onos/tools/test/bin/onos-archetypes-test')
-rwxr-xr-xframework/src/onos/tools/test/bin/onos-archetypes-test21
1 files changed, 21 insertions, 0 deletions
diff --git a/framework/src/onos/tools/test/bin/onos-archetypes-test b/framework/src/onos/tools/test/bin/onos-archetypes-test
new file mode 100755
index 00000000..55f40e76
--- /dev/null
+++ b/framework/src/onos/tools/test/bin/onos-archetypes-test
@@ -0,0 +1,21 @@
+#!/bin/bash
+# -----------------------------------------------------------------------------
+# Builds a set of projects using ONOS archetypes.
+# -----------------------------------------------------------------------------
+
+set -e
+
+export AROOT=/tmp/foo
+export ARCHETYPE_OPTS="-DarchetypeGroupId=org.onosproject -DarchetypeVersion=1.3.0-SNAPSHOT"
+
+mkdir -p $AROOT
+for an in api bundle cli ui; do
+ cd $AROOT
+ rm -fr $AROOT/foo-$an
+ mvn archetype:generate $ARCHETYPE_OPTS \
+ -DarchetypeArtifactId=onos-$an-archetype \
+ -DgroupId=org.foo -DartifactId=foo-$an -Dversion=1.0 \
+ -Dpackage=org.foo.$an -DinteractiveMode=false
+ cd $AROOT/foo-$an
+ mvn clean install
+done